Public Class UtsPath
    ''' <summary>系统文件夹枚举值</summary>
    Public Enum SystemFolderEnum
        ''' <summary>错误记录文件夹</summary>
        Log

        ''' <summary>用户鉴权文件夹</summary>
        License

        ''' <summary>设置文件夹</summary>
        Setting

        ''' <summary>用户临时操作文件夹</summary>
        Temp
    End Enum


    ''' <summary>
    ''' Temp文件夹下文件夹
    ''' </summary>
    Public Enum SystemTempFolderEnum
        ''' <summary>创建项目时使用文件夹</summary>
        ProjectDesign

        ''' <summary>设计时使用文件夹</summary>
        StationDesign

        ''' <summary>测试时使用文件夹</summary>
        StationPlan
    End Enum

    ''' <summary>
    ''' 本地缓存数据路径
    ''' </summary>
    ''' <returns></returns>
    Shared Property SystemDirPath() As String = Application.StartupPath

    ''' <summary>
    ''' 项目发布路径
    ''' </summary>
    ''' <returns></returns>
    Shared Property ProjectReleaseDirPath() As String = $"{SystemDirPath}\Release"

    ''' <summary>
    ''' 数据库路径
    ''' </summary>
    ''' <returns></returns>
    Shared Property DatabasePath() As String = $"{SystemDirPath}\Database"
End Class
